Bug 973903 - When both transaction and security policies are set on a service the the editor no longer allows to edit them
Summary: When both transaction and security policies are set on a service the the edit...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling   
(Show other bugs)
Version: 6.0.0 GA
Hardware: Unspecified Unspecified
unspecified
high
Target Milestone: ER2
: ---
Assignee: Rob Cernich
QA Contact: Len DiMaggio
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 05:36 UTC by Jiri Pechanec
Modified: 2014-06-16 23:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1526 Major Closed Cannot set properly transaction policy 2014-06-16 23:47:42 UTC

Description Jiri Pechanec 2013-06-13 05:36:31 UTC
1) Open a service in SwitchYard editor. Set both security policy and transaction policy on a service.
2) Save switchyard.xml
3) service element now requires="propagatesTransaction authorization"

If I try to change the settings to any other value then it does not work

Comment 1 Jiri Pechanec 2013-06-13 05:40:20 UTC
It seems that there is a problem even when only multiple security policies are set. Also when authorization is enabled and file is re-opened then the authorization policy checkbox is not checked.

Comment 2 Brian Fitzpatrick 2013-06-21 21:16:11 UTC
This was part of the work done in JIRA SWITCHYARD-1526

Comment 3 Jiri Pechanec 2013-09-17 07:06:22 UTC
Verified in ER2

Comment 4 JBoss JIRA Server 2013-09-17 13:22:11 UTC
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira SWITCHYARD-1526

Verifies with JBTIS 4.1.3.Beta2 (JBDSIS 7.0.0.Beta2)

Comment 5 JBoss JIRA Server 2013-09-17 13:23:03 UTC
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira SWITCHYARD-1526

Verified with JBTIS 4.1.3.Beta2 (JBDSIS 7.0.0.Beta2). This issue can be closed (I don't have a permission to do that)

Comment 9 JBoss JIRA Server 2014-06-16 23:47:42 UTC
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1526 to Closed


Note You need to log in before you can comment on or make changes to this bug.